package cn.com.ctop.toutiao.service;

import cn.com.ctop.toutiao.entity.ByteDanceAdvertisePlan;
import com.baomidou.mybatisplus.extension.service.IService;
import cn.com.ctop.common.module.entity.CtopOauthToken;

import java.util.Map;

/**
 * @Description: 今日头条广告计划信息
 * @Author: jeecg-boot
 * @Date: 2019-07-22
 * @Version: V1.0
 */
public interface IByteDanceAdvertisePlanService extends IService<ByteDanceAdvertisePlan> {

    Map<String, Object> advertiserPlanCreate(CtopOauthToken token, Long campaignId, String dataString);

    Map<String, Object> getAdConvertList(Long accountId, Long targetId);

    Map<String, Object> getAdConvertListByUrlId(Long accountId, Long urlId);

    Map<String, Object> getAdConvertListByUrlIdAndBindId(Long bindAccountId, Long urlId);
}
